• 简体中文
  • 查询代付交易结果

    请求路径

    /api/v2/merchant/payment/queryPayStatus

    参数列表

    名称类型长度必填描述
    orderIdString32否商户唯一订单号,可用于查询交易结果,与PalmPay平台订单号,二者至少传一个
    orderNoString32否PalmPay平台订单号,可用于查询交易结果,与商户唯一订单号,二者至少传一个

    返回值

    名称类型长度必填描述
    currencyString10是货币代码(NGN、GHS、TZS、KES、ZAR)
    amountLong20否订单金额(最小单位计量) 只有当 orderStatus=2 时才会有值
    feefee20否手续费总额(最小单位计量) 只有当 orderStatus=1 or 2 时才会有值 fee:{ fee: 0, vat: 0}
    orderNoString32否PalmPay返回的订单号
    orderIdString32否商户原始订单号
    orderStatusInteger20是订单状态(见订单状态)
    sessionIdString128否渠道响应参数,注:大部分非NIBSS通道不返回sessionId,此类订单若有问题需提供订单号找PalmPay和银行确认用户实际到账情况
    messageString20否订单状态描述信息
    errorMsgString200否错误信息
    createdTimeLong-是订单创建时间
    completedTimeLong-否订单完成时间

    错误码

    参见此文

    Postman请求示例

    request

    curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/merchant/payment/queryPayStatus' \
    --header 'Accept: application/json, text/plain, */*' \
    --header 'CountryCode: NG' \
    --header 'Authorization: Bearer 10241024' \
    --header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
    --header 'Content-Type: application/json' \
    --data '{
        "requestTime":1662171389940,
        "version":"V1.1",
        "nonceStr":"IBJGAeTa4ZJQv4Z2qufomVo9eI1YnJ9Y",
        "orderId":"e7c3784d5e2242fc00afe89ac1234",
        "orderNo":"41220723093001"
    }'

    response

    {
      "respCode": "00000000",
      "respMsg": "success",
      "data": {
        "currency": "NGN",
        "amount": 50000,
        "fee": {
          "fee": 402
        },
        "orderNo": "41220723093001",
        "orderId": "e7c3784d5e2242fc00afe89ac1234",
        "orderStatus": 2,
        "sessionId": "100033240509135230000500932911",
        "message": "success",
        "createdTime": 1708927047000,
        "completedTime": 1708927065000
      }
    }